Subject: Mount Problem: "No such file or directory"
From: Kevin Bridges <[email-masked]>
To: [email-masked]
Date: Mon, 17 Jan 2000 15:08:26 -0600

Hello,

I just loaded cygwin and I am having trouble getting paths to resolve
to relative directories that are mount points.

I am running cygwin 20.1 on NT. 

Here is a simple example:

   P90:/>
   P90:/> mount
   Device  Directory  Type    Flags
   C:      /          native  text!=binary

   P90:/>
   P90:/> mount 'c:\tempCygWinTest' /tempWow
   Warning: /tempWow does not exist!

Note 1: I have tried the /tempWow being an empty directory
        (eliminating the warning above) and the results are the same.
   
   P90:/>
   P90:/> mount
   Device             Directory  Type    Flags
   c:\tempCygWinTest  /tempWow   native  text!=binary
   C:                 /          native  text!=binary
   
   P90:/>
   P90:/> # ABSOLUTE PATHS WORK!
   P90:/> cat /tempWow/Test1.txt
   This is a test.
   I hope it works.
   
   P90:/>
   P90:/> # RELATIVE PATHS DO NOT WORK :-(
   P90:/> cat tempWow/Test1.txt
   cat: tempWow/Test1.txt: No such file or directory

Note 2: I have a /tmp directory 
Note 3: I have a /bin with a copy of sh.exe 

Any help and/or insight would be greatly appreciated. 

Thanks, 
Kevin 

=================================
Kevin Bridges
email: [email-masked]
=================================

--
Want to unsubscribe from this list?
Send a message to [email-masked]